Skip to main content
POST
/
api
/
v1
/
developer
/
wallet
/
balances
Latest Fungible Token Balances
curl --request POST \
  --url https://api.allium.so/api/v1/developer/wallet/balances \
  --header 'Content-Type: application/json' \
  --header 'X-API-KEY: <api-key>' \
  --data '
[
  {
    "chain": "<string>",
    "address": "<string>"
  }
]
'
import requests

url = "https://api.allium.so/api/v1/developer/wallet/balances"

payload = [
{
"chain": "<string>",
"address": "<string>"
}
]
headers = {
"X-API-KEY": "<api-key>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {'X-API-KEY': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify([{chain: '<string>', address: '<string>'}])
};

fetch('https://api.allium.so/api/v1/developer/wallet/balances', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "items": [
    {
      "address": "0xab16781a13fe343a275f4bb5c883a64ceda52917",
      "block_hash": "0x1d8a87d3da939280fe80fff6b90d19ca629726a1e53849766cb82f57d3fdb836",
      "block_number": 23145508,
      "block_timestamp": "2025-08-15T09:22:23Z",
      "chain": "ethereum",
      "raw_balance": 1300000000000000000,
      "raw_balance_str": "1300000000000000000",
      "token": {
        "address": "0x0e7667a943b871835f7399e7a5adb14f70717c7e",
        "chain": "ethereum",
        "decimals": 18,
        "info": {
          "name": "ETH",
          "symbol": "ETH"
        },
        "object": "token",
        "type": "evm_erc20"
      }
    }
  ],
  "cursor": "<string>"
}
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}
Supported Chains

Authorizations

X-API-KEY
string
header
required

Query Parameters

with_liquidity_info
boolean
default:false

If true, returns total_liquidity_usd as well. See this page for more details.

Body

application/json
Required array length: 1 - 100 elements
chain
string
required

Lowercase chain name

address
string
required

Wallet address

Example:
{
"chain": "ethereum",
"address": "0xab16781a13fe343a275f4bb5c883a64ceda52917"
}

Response

Successful Response

items
(EVMWalletBalances · object | SolanaBalances · object | BitcoinBalances · object | NearWalletBalances · object | SuiWalletLatestBalances · object)[]
required

Token balance entries

Example:
{
"address": "0xab16781a13fe343a275f4bb5c883a64ceda52917",
"block_hash": "0x1d8a87d3da939280fe80fff6b90d19ca629726a1e53849766cb82f57d3fdb836",
"block_number": 23145508,
"block_timestamp": "2025-08-15T09:22:23Z",
"chain": "ethereum",
"raw_balance": 1300000000000000000,
"raw_balance_str": "1300000000000000000",
"token": {
"address": "0x0e7667a943b871835f7399e7a5adb14f70717c7e",
"chain": "ethereum",
"decimals": 18,
"info": { "name": "ETH", "symbol": "ETH" },
"object": "token",
"type": "evm_erc20"
}
}
cursor
string | null

Pagination cursor for next page